{% extends "_base.html" %}

{% block boxes %}

{% if data %}
{% for entry in data %}
<section class="unit-1-3" id="cand-{{ loop.index }}">
    <div class="box pop">
      <a class="profile-link" href="{{ entry['name'] | slug }}" title="Click here for more about {{ entry['name'] }}">
        <h2 class="cand__name">{{ entry['name'] }}</h2>
      </a>
      <h3 class="cand__info">{{ entry['affiliation'] }}</h3>
      <img src="{{ entry['email'] | gravatar }}" alt="{{ entry['name'] }}&rsquo;s avatar">
    </div>
</section>
{% endfor %}
{% else %}
<section class="unit-2-3">
  <div class="box">
    {{ site['index_text'] | markdown }}
  </div>
</section>
{% endif %}

{% endblock %}

{% block js %}

<script>
const boxes = document.querySelectorAll(".box")
boxes.forEach(function (box) {
  box.addEventListener("click", handleClick)
})
function handleClick(event) {
  const isTextSelected = window.getSelection().toString();
  if (!isTextSelected) {
    this.querySelector(".profile-link").click();
  }
}
</script>

{% endblock %}
